import 'package:flutter/material.dart';
import 'package:backendless_sdk/backendless_sdk.dart';
import 'main.reflectable.dart';

@reflector
class Test {
  BackendlessUser user;
  List users;
  String foo;
  Child child;
  Point geopos;
  LineString lineString;
  Polygon polygon;
  List dr;

  @override
  String toString() {
    return """test custom class:
    user: $user
    users list: $users
    foo: $foo
    child: $child
    point: $geopos
    lineString: $lineString
    polygon: $polygon
    dr: $dr""";
  }
}

@reflector
class Child {
  double value;
  toString() => "Child custom class with value = $value";
}

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
    initializeReflectable();

    Backendless.initApp(
        "0B83DD7F-A769-898E-FF28-6EC3B93C4200",
        "D7186AEB-32A8-9C08-FF41-4F4A87A98200",
        "C7B1F940-DE31-D8B3-FF0C-987E60375500");
  }

  void buttonPressed() async {
    Backendless.data.withClass<Test>().findFirst().then((value) {
      print(value);
    });
  }

  void printWrapped(String text) {
    final pattern = new RegExp('.{1,800}'); // 800 is the size of each chunk
    pattern.allMatches(text).forEach((match) => print(match.group(0)));
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
            child: Column(
          crossAxisAlignment: CrossAxisAlignment.center,
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            RaisedButton(child: Text("Press"), onPressed: buttonPressed)
          ],
        )),
      ),
    );
  }
}
